Bug 431294 - Price editor: Enter on manual price has no effect
Summary: Price editor: Enter on manual price has no effect
Status: RESOLVED FIXED
Alias: None
Product: kmymoney
Classification: Applications
Component: general (show other bugs)
Version: 5.1.1
Platform: Mint (Ubuntu based) Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: KMyMoney Devel Mailing List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-01-08 09:10 UTC by t.r.mueller
Modified: 2021-01-09 17:05 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 5.1.2


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description t.r.mueller 2021-01-08 09:10:06 UTC
SUMMARY
Pressing Enter on a manually entered price has no effect. I expect the highlighted OK button to be pressed.

STEPS TO REPRODUCE
1. Tool - Prices... - select any Commodity - New - OK
2. Enter new price
3. press Enter

OBSERVED RESULT
no reaction

EXPECTED RESULT
OK button fires, price gets stored, window closes

SOFTWARE/OS VERSIONS
Windows: 
macOS: 
Linux/KDE Plasma: 
(available in About System)
KDE Plasma Version: 
KDE Frameworks Version: 
Qt Version: 

ADDITIONAL INFORMATION
Latest AppImage (KMyMoney-5.1.1-65ab93d-x86_64.AppImage) on Linux Mint 20
Comment 1 Thomas Baumgart 2021-01-09 17:04:10 UTC
Git commit 5f8ca7607fc1a24bd4308d2d2612cf3663f36771 by Thomas Baumgart.
Committed on 09/01/2021 at 17:03.
Pushed by tbaumgart into branch 'master'.

Leave dialog if return is pressed in amount field

M  +3    -0    kmymoney/dialogs/kcurrencycalculator.cpp

https://invent.kde.org/office/kmymoney/commit/5f8ca7607fc1a24bd4308d2d2612cf3663f36771
Comment 2 Thomas Baumgart 2021-01-09 17:05:14 UTC
Git commit 898db72a1a181826cee18f70f5c4683fc8be3d76 by Thomas Baumgart.
Committed on 09/01/2021 at 17:05.
Pushed by tbaumgart into branch '5.1'.

Leave dialog if return is pressed in amount field
FIXED-IN: 5.1.2

(cherry picked from commit 5f8ca7607fc1a24bd4308d2d2612cf3663f36771)

M  +3    -0    kmymoney/dialogs/kcurrencycalculator.cpp

https://invent.kde.org/office/kmymoney/commit/898db72a1a181826cee18f70f5c4683fc8be3d76